datacache <- new.env(hash=TRUE, parent=emptyenv())

illuminaMousev2ProbeID <- function() showQCData("illuminaMousev2ProbeID", datacache)
illuminaMousev2ProbeID_dbconn <- function() dbconn(datacache)
illuminaMousev2ProbeID_dbfile <- function() dbfile(datacache)
illuminaMousev2ProbeID_dbschema <- function(file="", show.indices=FALSE) dbschema(datacache, file=file, show.indices=show.indices)
illuminaMousev2ProbeID_dbInfo <- function() dbInfo(datacache)

illuminaMousev2ProbeIDORGANISM <- "Mus musculus"

.onLoad <- function(libname, pkgname)
{
    require("methods", quietly=TRUE)
    ## Connect to the SQLite DB
    dbfile <- system.file("extdata", "illuminaMousev2ProbeID.sqlite", package=pkgname, lib.loc=libname)
    assign("dbfile", dbfile, envir=datacache)
    dbconn <- dbFileConnect(dbfile)
    assign("dbconn", dbconn, envir=datacache)
    ## Create the AnnObj instances
    ann_objs <- createAnnObjs.MOUSECHIP_DB("illuminaMousev2ProbeID", "chip illuminaMousev2ProbeID", dbconn, datacache)
    mergeToNamespaceAndExport(ann_objs, pkgname)
}

.onUnload <- function(libpath)
{
    dbFileDisconnect(illuminaMousev2ProbeID_dbconn())
}

